### Function

# Json string_hash

since: 1.2

#### Declaration [src]

    guint
    json_string_hash (
      gconstpointer key
    )

#### Description [src]

Calculate a hash value for the given `key` (a UTF-8 JSON string).

Note: Member names are compared byte-wise, without applying any Unicode decomposition or normalisation. This is not explicitly mentioned in the JSON standard (ECMA-404), but is assumed.

Available since: 1.2

#### Parameters

`key`

  Type: `gconstpointer`

  A JSON string to hash.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

Hash value for `key`.